#!/usr/bin/env python3

# only 10^-4 required so we can exit early
# each term is at most 9*len(n)*10**-i
# so remaining sum is at most len(n) * 10^(-k)
# if summing up to index k. len(n) is at most 1000 so k=10 should work.
str_n = input()
exp = 0
for i in range(min(10, len(str_n))):
    exp += int(str_n[i]) * (0.9*(len(str_n) - i) + 0.1) * 10 ** (-i)
print(exp)
